package com.ruixuan.isc.entity;


import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 【请填写功能名称】对象 kuaishou_item_collect_sample_express
 *
 * @author ruoyi
 * @date 2023-02-10
 */
public class KuaishouItemCollectSampleExpress extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String courierNumber;

    /**
     * 快递
     */
    @Excel(name = "快递")
    private String com;

    /**
     * 状态 0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签
     */
    @Excel(name = "状态 0在途，1揽收，2疑难，3签收，4退签，5派件，8清关，14拒签")
    private String state;

    /**
     * 物流更新列表
     */
    @Excel(name = "物流更新列表")
    private String expressData;

    public void setCourierNumber(String courierNumber) {
        this.courierNumber = courierNumber;
    }

    public String getCourierNumber() {
        return courierNumber;
    }

    public void setCom(String com) {
        this.com = com;
    }

    public String getCom() {
        return com;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setExpressData(String expressData) {
        this.expressData = expressData;
    }

    public String getExpressData() {
        return expressData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("courierNumber", getCourierNumber())
                .append("com", getCom())
                .append("state", getState())
                .append("expressData", getExpressData())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}

